package birdeye

import (
	"birdcall/internal/consts"
	"net/http"
	"os"
)

type CommonRes struct {
	Success bool        `json:"success" dc:"是否成功"`
	Data    interface{} `json:"data"    dc:"数据"`
}

func MakeHeader(req *http.Request, chainName string) *http.Request {
	apiKey := os.Getenv(consts.BIRD_EYE_API_KEY)

	req.Header.Add(consts.ACCEPT, consts.APPLICATION_JSON)
	req.Header.Add(consts.X_CHAIN, chainName)
	req.Header.Add(consts.X_API_KEY, apiKey)
	return req
}
